Bug 1286023 - Use %configure macro to ensure proper CFLAGS such as hardening
Use %configure macro to ensure proper CFLAGS such as hardening
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 04:24 EST by Peter Robinson
Modified: 2015-12-01 13:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 13:22:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2015-11-27 04:24:44 EST
The texlive package uses ../configure rather than %configure which means when distro cflags are changed the package doesn't automatically benefit

You can still use %configure from a different directory. An example of how to do so is:

http://pkgs.fedoraproject.org/cgit/nspr.git/commit/?id=c03a2a6b62ab5615af44ff25430e950f00587fdc
Comment 1 Tom "spot" Callaway 2015-12-01 13:22:32 EST
This is fixed in rawhide (texlive-2015-16.20150728_r37987.fc24).

Note You need to log in before you can comment on or make changes to this bug.